retry analysis pipeline
curl --request POST \
--url https://api.example.com/security/versions/{version_id}/retry \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/security/versions/{version_id}/retry"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/security/versions/{version_id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"trigger": "create",
"n_findings": 123,
"n_remediations": 123,
"is_head": true,
"is_leaf": true,
"is_root": true,
"has_pipeline_processing": true,
"has_pipeline_failed": true,
"analysis_meta": {
"id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"is_self": true,
"created_at": "2023-11-07T05:31:56Z",
"username": "<string>"
},
"project_id": "<string>",
"project_name": "<string>",
"project_slug": "<string>",
"is_owner": true
},
"code_version": {
"id": "<string>",
"version_method": "tag",
"version_fingerprint": "<string>",
"status": "waiting",
"network": "eth",
"name": "<string>",
"branch": "<string>",
"commit": {
"sha": "<string>",
"author": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"repository": {
"id": 123,
"name": "<string>",
"is_private": true,
"account": {
"id": 123,
"login": "<string>",
"type": "<string>",
"avatar_url": "<string>"
}
}
},
"actions": {
"can_fork": true,
"can_create_child": true,
"can_commit_changes": true,
"can_delete": true,
"can_run_pipeline": true,
"can_retry_pipeline": true,
"can_merge_to": true,
"can_merge_from": true,
"can_stage_changes": true,
"can_set_as_head": true
},
"merged_from_version": {
"id": "<string>",
"analysis_id": "<string>"
},
"forked_from_version": {
"id": "<string>",
"analysis_id": "<string>"
},
"parent_version": {
"id": "<string>",
"analysis_id": "<string>"
},
"child_versions": [
{
"id": "<string>",
"analysis_id": "<string>"
}
],
"merged_versions": [
{
"id": "<string>",
"analysis_id": "<string>"
}
],
"forked_versions": [
{
"id": "<string>",
"analysis_id": "<string>"
}
]
}{
"code": "auth.session_expired",
"message": "<string>"
}analysis version
retry analysis pipeline
requeue the failed entrypoints of a version. Retries are not counted against usage limits.
POST
/
security
/
versions
/
{version_id}
/
retry
retry analysis pipeline
Authorizations
API key in Bearer token format
Path Parameters
Response
Successful Response
Available options:
create, commit, fork, merge, push Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
